Subject: Re: [PATCH 0/3] meson: wire up gitk and git-gui

From: Patrick Steinhardt <[email-masked]>
Date: Sun, 24 Aug 2025 19:25:19 +0200

On Tue, Aug 19, 2025 at 11:25:02PM +0100, Ramsay Jones wrote:
> 
> 
> On 19/08/2025 09:18, Patrick Steinhardt wrote:
> > Hi,
> > 
> > I have upstreamed support for Meson into both gitk [1] and git-gui [2].
> > This small patch series wires up support in Git.
> 
> Just a quick FYI, but I think git-gui needs some changes equivalent to
> commit 586919c3b2 ("meson: fix installation when -Dlibexexdir is set",
> 2025-07-16).

Ah, thanks for the hint. Will eventually fix it upstream.

> [I don't understand the difference between subdir() and subproject(), so
> I'm not quite sure how to proceed, but I guess git-gui is a separate
> project root and 'options' will be passed as-is with a new context?]

Yup. This is done so that both gitk and git-gui can also be installed
standalone.

> gitk doesn't install anything in the libexecdir, so should not need a
> similar change.
> 
> > To the best of my knowledge this is the last missing piece for feature
> > compatibility with our Makefile. As such, from my point of view, I think
> > that we can stop treating the Meson build system as experimental and
> > instead officially endorse it. Once merged I'll thus send another patch
> > series that updates our documentation in various different places to
> > also mention how to build Git with Meson.
> 
> Hmm, that seems a little soon to me. ;) I still have quite a few 'misc build
> updates (part #3)' patches to send to the list (yes, I have been a bit tardy;
> sorry about that).

Looking forward to them : 

> Also, let's not forget the 'quoting nightmare' [0], which has still not been
> addressed.

Fair, that one is still outstanding. But I guess with "feature
compatibility" I was rather referring to actually user-facing things
that Meson cannot do yet. I guess overall it will still take a bit of
time for smaller follow-up fixes to land. But in most cases I think that
Meson can be used without issues now.

Patrick